
   id ZZ(i1?,i2?,[c],i3?,i4?,[c],i5?,i6?,[c],i7?,i8?) =
       + g1(i1,i2)*g1(i3,i4)*g1(i5,i6)*g1(i7,i8)
       + g1(i1,i2)*g1(i3,i4)*g2(i5,i7)
       - g1(i1,i2)*g1(i3,i4)*g2(i5,i8)
       - g1(i1,i2)*g1(i3,i4)*g2(i6,i7)
       + g1(i1,i2)*g1(i3,i4)*g2(i6,i8)
       + g1(i1,i2)*g1(i5,i6)*g2(i3,i7)
       - g1(i1,i2)*g1(i5,i6)*g2(i3,i8)
       - g1(i1,i2)*g1(i5,i6)*g2(i4,i7)
       + g1(i1,i2)*g1(i5,i6)*g2(i4,i8)
       + g1(i1,i2)*g1(i5,i7)*g2(i3,i5)
       - g1(i1,i2)*g1(i5,i7)*g2(i3,i7)
       - g1(i1,i2)*g1(i5,i7)*g2(i4,i5)
       + g1(i1,i2)*g1(i5,i7)*g2(i4,i7)
       - g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
       + g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
       + g1(i1,i2)*g1(i5,i8)*g2(i4,i5)
       - g1(i1,i2)*g1(i5,i8)*g2(i4,i8)
       - g1(i1,i2)*g1(i6,i7)*g2(i3,i6)
       + g1(i1,i2)*g1(i6,i7)*g2(i3,i7)
       + g1(i1,i2)*g1(i6,i7)*g2(i4,i6)
       - g1(i1,i2)*g1(i6,i7)*g2(i4,i7)
       + g1(i1,i2)*g1(i6,i8)*g2(i3,i6)
       - g1(i1,i2)*g1(i6,i8)*g2(i3,i8)
       - g1(i1,i2)*g1(i6,i8)*g2(i4,i6)
       + g1(i1,i2)*g1(i6,i8)*g2(i4,i8)
       + g1(i1,i2)*g1(i7,i8)*g2(i3,i5)
       - g1(i1,i2)*g1(i7,i8)*g2(i3,i6)
       - g1(i1,i2)*g1(i7,i8)*g2(i4,i5)
       + g1(i1,i2)*g1(i7,i8)*g2(i4,i6)
       + g1(i3,i4)*g1(i5,i6)*g2(i1,i7)
       - g1(i3,i4)*g1(i5,i6)*g2(i1,i8)
       - g1(i3,i4)*g1(i5,i6)*g2(i2,i7)
       + g1(i3,i4)*g1(i5,i6)*g2(i2,i8)
       + g1(i3,i4)*g1(i5,i7)*g2(i1,i5)
       - g1(i3,i4)*g1(i5,i7)*g2(i1,i7)
       - g1(i3,i4)*g1(i5,i7)*g2(i2,i5)
       + g1(i3,i4)*g1(i5,i7)*g2(i2,i7)
       - g1(i3,i4)*g1(i5,i8)*g2(i1,i5)
       + g1(i3,i4)*g1(i5,i8)*g2(i1,i8)
       + g1(i3,i4)*g1(i5,i8)*g2(i2,i5)
       - g1(i3,i4)*g1(i5,i8)*g2(i2,i8)
       - g1(i3,i4)*g1(i6,i7)*g2(i1,i6)
       + g1(i3,i4)*g1(i6,i7)*g2(i1,i7)
       + g1(i3,i4)*g1(i6,i7)*g2(i2,i6)
       - g1(i3,i4)*g1(i6,i7)*g2(i2,i7)
       + g1(i3,i4)*g1(i6,i8)*g2(i1,i6)
       - g1(i3,i4)*g1(i6,i8)*g2(i1,i8)
       - g1(i3,i4)*g1(i6,i8)*g2(i2,i6)
       + g1(i3,i4)*g1(i6,i8)*g2(i2,i8)
       + g1(i3,i4)*g1(i7,i8)*g2(i1,i5)
       - g1(i3,i4)*g1(i7,i8)*g2(i1,i6)
       - g1(i3,i4)*g1(i7,i8)*g2(i2,i5)
       + g1(i3,i4)*g1(i7,i8)*g2(i2,i6)
       - g1(i3,i5)*g1(i3,i7)*g2(i1,i5)
       - g1(i3,i5)*g1(i3,i7)*g2(i1,i7)
       + g1(i3,i5)*g1(i3,i7)*g2(i2,i5)
       + g1(i3,i5)*g1(i3,i7)*g2(i2,i7)
       + g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
       + g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
       - g1(i3,i5)*g1(i3,i8)*g2(i2,i5)
       - g1(i3,i5)*g1(i3,i8)*g2(i2,i8)
       + g1(i3,i5)*g1(i5,i7)*g2(i1,i3)
       + g1(i3,i5)*g1(i5,i7)*g2(i1,i7)
       - g1(i3,i5)*g1(i5,i7)*g2(i2,i3)
       - g1(i3,i5)*g1(i5,i7)*g2(i2,i7)
       - g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
       - g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
       + g1(i3,i5)*g1(i5,i8)*g2(i2,i3)
       + g1(i3,i5)*g1(i5,i8)*g2(i2,i8)
       + g1(i3,i5)*g1(i7,i8)*g2(i1,i3)
       - g1(i3,i5)*g1(i7,i8)*g2(i1,i5)
       - g1(i3,i5)*g1(i7,i8)*g2(i2,i3)
       + g1(i3,i5)*g1(i7,i8)*g2(i2,i5)
       + g1(i3,i6)*g1(i3,i7)*g2(i1,i6)
       + g1(i3,i6)*g1(i3,i7)*g2(i1,i7)
       - g1(i3,i6)*g1(i3,i7)*g2(i2,i6)
       - g1(i3,i6)*g1(i3,i7)*g2(i2,i7)
       - g1(i3,i6)*g1(i3,i8)*g2(i1,i6)
       - g1(i3,i6)*g1(i3,i8)*g2(i1,i8)
       + g1(i3,i6)*g1(i3,i8)*g2(i2,i6)
       + g1(i3,i6)*g1(i3,i8)*g2(i2,i8)
       - g1(i3,i6)*g1(i6,i7)*g2(i1,i3)
       - g1(i3,i6)*g1(i6,i7)*g2(i1,i7)
       + g1(i3,i6)*g1(i6,i7)*g2(i2,i3)
       + g1(i3,i6)*g1(i6,i7)*g2(i2,i7)
       + g1(i3,i6)*g1(i6,i8)*g2(i1,i3)
       + g1(i3,i6)*g1(i6,i8)*g2(i1,i8)
       - g1(i3,i6)*g1(i6,i8)*g2(i2,i3)
       - g1(i3,i6)*g1(i6,i8)*g2(i2,i8)
       - g1(i3,i6)*g1(i7,i8)*g2(i1,i3)
       + g1(i3,i6)*g1(i7,i8)*g2(i1,i6)
       + g1(i3,i6)*g1(i7,i8)*g2(i2,i3)
       - g1(i3,i6)*g1(i7,i8)*g2(i2,i6)
       + g1(i3,i7)*g1(i5,i6)*g2(i1,i3)
       - g1(i3,i7)*g1(i5,i6)*g2(i1,i7)
       - g1(i3,i7)*g1(i5,i6)*g2(i2,i3)
       + g1(i3,i7)*g1(i5,i6)*g2(i2,i7)
       - g1(i3,i7)*g1(i5,i7)*g2(i1,i3)
       - g1(i3,i7)*g1(i5,i7)*g2(i1,i5)
       + g1(i3,i7)*g1(i5,i7)*g2(i2,i3)
       + g1(i3,i7)*g1(i5,i7)*g2(i2,i5)
       + g1(i3,i7)*g1(i6,i7)*g2(i1,i3)
       + g1(i3,i7)*g1(i6,i7)*g2(i1,i6)
       - g1(i3,i7)*g1(i6,i7)*g2(i2,i3)
       - g1(i3,i7)*g1(i6,i7)*g2(i2,i6)
       - g1(i3,i8)*g1(i5,i6)*g2(i1,i3)
       + g1(i3,i8)*g1(i5,i6)*g2(i1,i8)
       + g1(i3,i8)*g1(i5,i6)*g2(i2,i3)
       - g1(i3,i8)*g1(i5,i6)*g2(i2,i8)
       + g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
       + g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
       - g1(i3,i8)*g1(i5,i8)*g2(i2,i3)
       - g1(i3,i8)*g1(i5,i8)*g2(i2,i5)
       - g1(i3,i8)*g1(i6,i8)*g2(i1,i3)
       - g1(i3,i8)*g1(i6,i8)*g2(i1,i6)
       + g1(i3,i8)*g1(i6,i8)*g2(i2,i3)
       + g1(i3,i8)*g1(i6,i8)*g2(i2,i6)
       + g1(i4,i5)*g1(i4,i7)*g2(i1,i5)
       + g1(i4,i5)*g1(i4,i7)*g2(i1,i7)
       - g1(i4,i5)*g1(i4,i7)*g2(i2,i5)
       - g1(i4,i5)*g1(i4,i7)*g2(i2,i7)
       - g1(i4,i5)*g1(i4,i8)*g2(i1,i5)
       - g1(i4,i5)*g1(i4,i8)*g2(i1,i8)
       + g1(i4,i5)*g1(i4,i8)*g2(i2,i5)
       + g1(i4,i5)*g1(i4,i8)*g2(i2,i8)
       - g1(i4,i5)*g1(i5,i7)*g2(i1,i4)
       - g1(i4,i5)*g1(i5,i7)*g2(i1,i7)
       + g1(i4,i5)*g1(i5,i7)*g2(i2,i4)
       + g1(i4,i5)*g1(i5,i7)*g2(i2,i7)
       + g1(i4,i5)*g1(i5,i8)*g2(i1,i4)
       + g1(i4,i5)*g1(i5,i8)*g2(i1,i8)
       - g1(i4,i5)*g1(i5,i8)*g2(i2,i4)
       - g1(i4,i5)*g1(i5,i8)*g2(i2,i8)
       - g1(i4,i5)*g1(i7,i8)*g2(i1,i4)
       + g1(i4,i5)*g1(i7,i8)*g2(i1,i5)
       + g1(i4,i5)*g1(i7,i8)*g2(i2,i4)
       - g1(i4,i5)*g1(i7,i8)*g2(i2,i5)
       - g1(i4,i6)*g1(i4,i7)*g2(i1,i6)
       - g1(i4,i6)*g1(i4,i7)*g2(i1,i7)
       + g1(i4,i6)*g1(i4,i7)*g2(i2,i6)
       + g1(i4,i6)*g1(i4,i7)*g2(i2,i7)
       + g1(i4,i6)*g1(i4,i8)*g2(i1,i6)
       + g1(i4,i6)*g1(i4,i8)*g2(i1,i8)
       - g1(i4,i6)*g1(i4,i8)*g2(i2,i6)
       - g1(i4,i6)*g1(i4,i8)*g2(i2,i8)
       + g1(i4,i6)*g1(i6,i7)*g2(i1,i4)
       + g1(i4,i6)*g1(i6,i7)*g2(i1,i7)
       - g1(i4,i6)*g1(i6,i7)*g2(i2,i4)
       - g1(i4,i6)*g1(i6,i7)*g2(i2,i7)
       - g1(i4,i6)*g1(i6,i8)*g2(i1,i4)
       - g1(i4,i6)*g1(i6,i8)*g2(i1,i8)
       + g1(i4,i6)*g1(i6,i8)*g2(i2,i4)
       + g1(i4,i6)*g1(i6,i8)*g2(i2,i8)
       + g1(i4,i6)*g1(i7,i8)*g2(i1,i4)
       - g1(i4,i6)*g1(i7,i8)*g2(i1,i6)
       - g1(i4,i6)*g1(i7,i8)*g2(i2,i4)
       + g1(i4,i6)*g1(i7,i8)*g2(i2,i6)
       - g1(i4,i7)*g1(i5,i6)*g2(i1,i4)
       + g1(i4,i7)*g1(i5,i6)*g2(i1,i7)
       + g1(i4,i7)*g1(i5,i6)*g2(i2,i4)
       - g1(i4,i7)*g1(i5,i6)*g2(i2,i7)
       + g1(i4,i7)*g1(i5,i7)*g2(i1,i4)
       + g1(i4,i7)*g1(i5,i7)*g2(i1,i5)
       - g1(i4,i7)*g1(i5,i7)*g2(i2,i4)
       - g1(i4,i7)*g1(i5,i7)*g2(i2,i5)
       - g1(i4,i7)*g1(i6,i7)*g2(i1,i4)
       - g1(i4,i7)*g1(i6,i7)*g2(i1,i6)
       + g1(i4,i7)*g1(i6,i7)*g2(i2,i4)
       + g1(i4,i7)*g1(i6,i7)*g2(i2,i6)
       + g1(i4,i8)*g1(i5,i6)*g2(i1,i4)
       - g1(i4,i8)*g1(i5,i6)*g2(i1,i8)
       - g1(i4,i8)*g1(i5,i6)*g2(i2,i4)
       + g1(i4,i8)*g1(i5,i6)*g2(i2,i8)
       - g1(i4,i8)*g1(i5,i8)*g2(i1,i4)
       - g1(i4,i8)*g1(i5,i8)*g2(i1,i5)
       + g1(i4,i8)*g1(i5,i8)*g2(i2,i4)
       + g1(i4,i8)*g1(i5,i8)*g2(i2,i5)
       + g1(i4,i8)*g1(i6,i8)*g2(i1,i4)
       + g1(i4,i8)*g1(i6,i8)*g2(i1,i6)
       - g1(i4,i8)*g1(i6,i8)*g2(i2,i4)
       - g1(i4,i8)*g1(i6,i8)*g2(i2,i6)
       + g1(i5,i6)*g1(i7,i8)*g2(i1,i3)
       - g1(i5,i6)*g1(i7,i8)*g2(i1,i4)
       - g1(i5,i6)*g1(i7,i8)*g2(i2,i3)
       + g1(i5,i6)*g1(i7,i8)*g2(i2,i4)
       + g2(i1,i3)*g2(i5,i7)
       - g2(i1,i3)*g2(i5,i8)
       - g2(i1,i3)*g2(i6,i7)
       + g2(i1,i3)*g2(i6,i8)
       - g2(i1,i4)*g2(i5,i7)
       + g2(i1,i4)*g2(i5,i8)
       + g2(i1,i4)*g2(i6,i7)
       - g2(i1,i4)*g2(i6,i8)
       + g2(i1,i5)*g2(i3,i7)
       - g2(i1,i5)*g2(i3,i8)
       - g2(i1,i5)*g2(i4,i7)
       + g2(i1,i5)*g2(i4,i8)
       - g2(i1,i6)*g2(i3,i7)
       + g2(i1,i6)*g2(i3,i8)
       + g2(i1,i6)*g2(i4,i7)
       - g2(i1,i6)*g2(i4,i8)
       + g2(i1,i7)*g2(i3,i5)
       - g2(i1,i7)*g2(i3,i6)
       - g2(i1,i7)*g2(i4,i5)
       + g2(i1,i7)*g2(i4,i6)
       - g2(i1,i8)*g2(i3,i5)
       + g2(i1,i8)*g2(i3,i6)
       + g2(i1,i8)*g2(i4,i5)
       - g2(i1,i8)*g2(i4,i6)
       - g2(i2,i3)*g2(i5,i7)
       + g2(i2,i3)*g2(i5,i8)
       + g2(i2,i3)*g2(i6,i7)
       - g2(i2,i3)*g2(i6,i8)
       + g2(i2,i4)*g2(i5,i7)
       - g2(i2,i4)*g2(i5,i8)
       - g2(i2,i4)*g2(i6,i7)
       + g2(i2,i4)*g2(i6,i8)
       - g2(i2,i5)*g2(i3,i7)
       + g2(i2,i5)*g2(i3,i8)
       + g2(i2,i5)*g2(i4,i7)
       - g2(i2,i5)*g2(i4,i8)
       + g2(i2,i6)*g2(i3,i7)
       - g2(i2,i6)*g2(i3,i8)
       - g2(i2,i6)*g2(i4,i7)
       + g2(i2,i6)*g2(i4,i8)
       - g2(i2,i7)*g2(i3,i5)
       + g2(i2,i7)*g2(i3,i6)
       + g2(i2,i7)*g2(i4,i5)
       - g2(i2,i7)*g2(i4,i6)
       + g2(i2,i8)*g2(i3,i5)
       - g2(i2,i8)*g2(i3,i6)
       - g2(i2,i8)*g2(i4,i5)
       + g2(i2,i8)*g2(i4,i6)
      ;

